blob: db77a60e23f12c626d91369b7aed2d880f5516c1 [file] [log] [blame]
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=6
VIRTUALX_REQUIRED="test"
inherit kde5
DESCRIPTION="Framework for integrating Qt applications with KDE workspaces"
LICENSE="LGPL-2+"
KEYWORDS="amd64 ~arm x86"
IUSE="X"
RDEPEND="
$(add_frameworks_dep kconfig)
$(add_frameworks_dep kconfigwidgets)
$(add_frameworks_dep kiconthemes)
$(add_frameworks_dep knotifications)
$(add_frameworks_dep kwidgetsaddons)
$(add_qt_dep qtgui)
$(add_qt_dep qtwidgets)
X? (
$(add_qt_dep qtx11extras)
x11-libs/libxcb
)
"
DEPEND="${RDEPEND}"
# requires running kde environment
RESTRICT="test"
src_configure() {
local mycmakeargs=(
$(cmake-utils_use_find_package X XCB)
)
kde5_src_configure
}